Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.client.naming
Class PetNameNamingService

    java.lang.Object
      net.i2p.client.naming.NamingService
          net.i2p.client.naming.PetNameNamingService

Deprecated. unused

    public class PetNameNamingService

extends NamingService

Field Summary
`static String` | `DEFAULT_PETNAME_FILE` Deprecated.
`static String` | `PROP_PETNAME_FILE` Deprecated.

Fields inherited from class net.i2p.client.naming.NamingService
`_context, CACHE_MAX_AGE, CACHE_MAX_SIZE, PROP_IMPL`

Constructor Summary
`PetNameNamingService(I2PAppContext context)` Deprecated.

Method Summary
`Destination` | `lookup(String hostname)` Deprecated. Look up a host name.
`String` | `reverseLookup(Destination dest)` Deprecated. Reverse look up a destination

Methods inherited from class net.i2p.client.naming.NamingService
`clearCache, createInstance, getCache, lookupBase64, putCache, reverseLookup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_PETNAME_FILE

    public static final String PROP_PETNAME_FILE

  Deprecated.
  See Also:
    Constant Field Values

### DEFAULT_PETNAME_FILE

    public static final String DEFAULT_PETNAME_FILE

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### PetNameNamingService

    public PetNameNamingService(I2PAppContext context)

  Deprecated.

Method Detail

### lookup

    public Destination lookup(String hostname)

  Deprecated.
  Description copied from class: `NamingService`
  Look up a host name.

  Specified by:
    `lookup` in class `NamingService`
  Returns:
    the Destination for this host name, or `null` if name is unknown.

### reverseLookup

    public String reverseLookup(Destination dest)

  Deprecated.
  Description copied from class: `NamingService`
  Reverse look up a destination

  Overrides:
    `reverseLookup` in class `NamingService`
  Returns:
    a host name for this Destination, or `null` if none is known. It is safe for subclasses to always return `null` if no reverse lookup is possible.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD